Bug 995562 - ipa-restore fails to work - 'getpwnam(): name not found: dirsrv'
ipa-restore fails to work - 'getpwnam(): name not found: dirsrv'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 13:46 EDT by Bill Peck
Modified: 2014-09-23 06:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-3.3.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:56:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa restore log (5.88 KB, text/x-log)
2013-08-09 13:46 EDT, Bill Peck
no flags Details

  None (edit)
Description Bill Peck 2013-08-09 13:46:55 EDT
Created attachment 784938 [details]
ipa restore log

Description of problem:

[root@localhost ~]# ipa-restore ipa-full-2013-08-08-14-53-38
Directory Manager (existing master) password: 

Preparing restore from /var/lib/ipa/backup/ipa-full-2013-08-08-14-53-38 on strider.home.pecknet.com
'getpwnam(): name not found: dirsrv'


Version-Release number of selected component (if applicable):
freeipa-server-3.2.2-1.fc19.i686

How reproducible:
Everytime

Steps to Reproduce:
1. Fresh install of F19
2. copy previous backup to /var/lib/ipa/backup
3. ipa-restore ipa-full-2013-08-08-14-53-38

Actual results:
'getpwnam(): name not found: dirsrv'

Additional info:
A workaround is to do an install then an uninstall.
Then proceed with the restore.
Comment 1 Rob Crittenden 2013-08-09 14:10:38 EDT
The dirsrv user is created during the IPA server install process.

A quicker workaround is to create the user prior to restoration:

/usr/sbin/useradd -g dirsrv -c "DS System User" -d /var/lib/dirsrv -s /sbin/nologin -M -r dirsrv
Comment 2 Bill Peck 2013-08-09 15:04:20 EDT
I've also run into the issue that ipa-backup/ipa-restore blindly copies over /etc/group and /etc/passwd.  Major problem is that groups can get created in different orders on different installs.

In my situation ssh_keys and polkitd group id's are swapped.  

This causes sshd to freak out and prevent me from ssh'ing into the machine.

Is there a better way to restore when doing so on a fresh install?
Comment 3 Martin Kosek 2013-08-12 03:20:35 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3856
Comment 4 Tomas Babej 2013-08-19 04:47:40 EDT
Upstream ticket for the second Bill's remark:
https://fedorahosted.org/freeipa/ticket/3866
Comment 6 Fedora End Of Life 2013-09-16 12:55:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Fedora Update System 2013-10-08 07:21:18 EDT
freeipa-3.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freeipa-3.3.2-1.fc20
Comment 8 Fedora Update System 2013-10-09 10:27:48 EDT
Package freeipa-3.3.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.3.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18542/freeipa-3.3.2-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-10 01:56:40 EST
freeipa-3.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.